@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
  font-family: 'poppins', sans-serif;
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
  scroll-padding-top: 2rem;
  box-sizing: border-box;
}

::selection {
  color: var(--bg-color);
  background: var(--second-color);
}

/* VARIABLES */
:root {
  --container-color: #1a1e21;
  --second-color: #fd8f44;
  --text-color: #172317;
  --bg-color: #fff;
}


li {
  list-style: none;
}

img {
  width: 100%;
  border-radius: 1rem;
  border: 1px solid var(--second-color);
}

section {
  padding: 3rem 0 2rem;
}
a{
  text-decoration: none;
  font-size: 1.2rem;
}

.container {
  max-width: 1068px;
  margin: auto;
  width: 100%;
}

/* HEADER */
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 200;
}

header.shadow {
  background: var(--bg-color);
  box-shadow: 0 1px 4px hsl(0, 4%, 14% / 10%);
  transition: 0.4s;
}

header.shadow .logo {
  color: var(--text-color);
}

.nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 18px 0;
}

.logo {
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--bg-color);
  text-decoration: none;
}

.logo span {
  color: var(--second-color);
}

.login {
  padding: 8px 14px;
  text-transform: uppercase;
  font-weight: 500;
  border-radius: 4px;
  background: var(--second-color);
  color: var(--bg-color);
  text-decoration: none;
}

.login:hover {
  background: hsl(24, 98%, 58%);
  transition: 0.3s;
}

/* HOME */

.home {
  width: 100%;
  min-height: 440px;
  background: var(--container-color);
  display: grid;
  justify-content: center;
  align-items: center;
}

.home-text {
  color: var(--bg-color);
  text-align: center;
}

.home-title {
  font-size: 3rem;
}

.home-subtitle {
  font-size: 1rem;
  font-weight: 400;
}


/* POST FILTER */

.post-filter {
  display: flex;
  align-items: center;
  justify-content: center;
  column-gap: 1.5rem;
  margin-top: 2rem !important;
}

.filter-item {
  font-size: 0.9rem;
  font-weight: 500;
  cursor: pointer;
}

.active-filter {
  background: var(--second-color);
  color: var(--bg-color);
  padding: 4px 10px;
  border-radius: 4px;
}

/* POSTS */

.post {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, auto));
  justify-content: center;
  gap: 1.5rem;
}

.post-box {
  background: var(--bg-color);
  box-shadow: 0 4px 14px hsl(355deg 25% 15% / 18%);
  padding: 15px;
  border-radius: 0.5rem;
}

.post-img {
  width: 100%;
  height: 200px;
  object-fit: cover;
  object-position: center;
  border-radius: 0.5rem;
}

.category {
  font-size: 0.9rem;
  font-weight: 500;
  text-transform: uppercase;
  color: var(--second-color);
}

.post-title {
  font-size: 1.3rem;
  font-weight: 600;
  color: var(--text-color);
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.post-date {
  display: flex;
  font-size: 0.875rem;
  text-transform: uppercase;
  font-weight: 500;
  margin-top: 4px;
}

.post-description {
  font-size: 0.9rem;
  line-height: 1.5;
  margin: 5px 0 10px;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.profile {
  display: flex;
  align-items: center;
  gap: 10px;
}

.profile img {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  object-fit: cover;
  object-position: center;
  border: 2px solid var(--second-color);
}

.profile-name {
  font-size: 0.82rem;
  font-weight: 500;
}
.tips-list-images {
  display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
}

.tips-list-images img {
  display: flex;
    display: -ms-flexbox;
    max-width: 17%;
    flex: 0 0 17%;
    -ms-flex: 0 0 17%;
    margin-bottom: 1rem;
}
ol li {
  list-style: decimal;
}

.vertical-list-images {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1rem;
  
}

.vertical-list-images img {
  display: flex;
  display: -ms-flexbox;
  max-width: 17%;
  flex: 0 0 17%;
  -ms-flex: 0 0 17%;
  margin-bottom: 1rem;
}

/* FOOTER */

.footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 30px 0;
}

.footer p {
  font-size: 0.5rem;
}

.footer .bx{
  font-size: 0.5rem;
}

.social {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}

.social .bx {
  font-size: 1.4rem;
  color: var(--text-color);
}

.social .bx:hover {
  color: var(--second-color);
  transition: 0.3s all linear;
}


/* POST CONTENT */

.post-header {
  width: 100%;
  height: 500px;
  background: var(--container-color);
}

.post-container {
  max-width: 800px;
  margin: auto;
  width: 100%;
}

.header-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 4rem !important;
}

.back-home {
  color: var(--second-color);
  font-size: 0.9rem;
}

.header-title {
  width: 90%;
  font-size: 2.5rem;
  color: var(--bg-color);
  text-align: center;
  margin-bottom: .8rem;
}
.strong {
  color: var(--second-color);
  letter-spacing: 5px;
  margin-bottom: .3rem;
}

.header-img {
  width: 100%;
  height: 420px;
  object-fit: cover;
  object-position: center;
}

.post-content {
  margin-top: 13rem !important;
}

.sub-heading {
  font-size: 1.2rem;
}
.multi-list li {
  line-height: 1.7;
  list-style:inside;
}

.post-text {
  font-size: 1rem;
  line-height: 1.7;
  margin: 1rem 0;
  text-align: justify;
}

/* SHARE */

.share {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 1rem;
}

.share-title {
  font-size: 1.1rem;
}

/* Responsive */

@media (max-width:1068px) {
  .container {
    margin: 0 auto;
    width: 95%;
  }

  .home-text {
    width: 100%;
  }

}

@media (max-width:800px) {
  .nav {
    padding: 14px 0;
  }

  .post-container {
    margin: 0 auto;
    width: 95%;
  }
}

@media (max-width:768px) {
  .nav {
    padding: 10px 0;
  }

  section {
    padding: 2rem 0;
  }

  .header-content {
    margin-bottom: 3rem !important;
  }

  .home {
    min-height: 380px;
  }

  .header-title {
    font-size: 3rem;
  }

  .header-img {
    height: 370px;
  }

  .post-header {
    height: 435px;
  }

  .post-content {
    margin-top: 9rem !important;
  }
}

@media (max-width:570px) {
  .post-header {
    height: 390px;
  }

  .header-title {
    width: 100%;
  }

  .header-img {
    height: 340px;
  }

  .footer {
    flex-direction: column;
    row-gap: 1rem;
    padding: 20px 0;
    text-align: center;
  }
    .tips-list-images {
      gap: .3rem;
    }
        .vertical-list-images {
        gap: .3rem;
        }
}

@media (max-width:396px) {
  .home-title {
    font-size: 2rem;
  }

  .home-subtitle {
    font-size: 0.9rem;
  }

  .home {
    min-height: 300px;
  }

  .post-box {
    padding: 10px;
  }

  .header-title {
    font-size: 1.4rem;
  }

  .header-img {
    height: 240px;
  }

  .post-header {
    height: 335px;
  }

  .post-content {
    margin-top: 5rem !important;
  }

  .post-text {
    font-size: 0.875;
    line-height: 1.5rem;
    margin: 10px 0;
  }
}